View Issue Details

IDProjectCategoryView StatusLast Update
14862Bug reports[All Projects] Translationpublic2019-05-29 16:39
ReporterscastroAssigned ToDenisChenu 
PrioritynoneSeveritymajor 
Status closedResolutionfixed 
Product Version3.16.x 
Target VersionFixed in Version3.17.x 
Summary14862: Export to LSS on Portuguese (Portugal) language
Description

Recently I was having a problem with exporting a form to .lss.
I would click on the .lss option and no explanation text on the right would appear and the export option wouldn't do nothing.

Eventually I changed my user language to English and it worked fine and then I tried the Brazilian Portuguese and work fine too, so the problem is only with the Portugal Portuguese translation.

Thank you in advance.

Steps To Reproduce

Simply go to a form, click "Display/Export" and click on LSS format. It Portugal Portuguese language is set for the user, you can see that no info on the right side appears and the export button does nothing.
If you change the user language to English or even Brazilian Portuguese the info appears and export button works.

Additional Information

I tracked the Google Crome console and got this error:

Uncaught TypeError: Cannot read property 'detailpage' of undefined
at PreviewModalScript.selectItem (previewModalWidget.dist.js:62)
at PreviewModalScript.selectItemClick (previewModalWidget.dist.js:77)
at HTMLAnchorElement.<anonymous> (previewModalWidget.dist.js:140)
at HTMLAnchorElement.dispatch (jquery-3.1.1.min.js:3)
at HTMLAnchorElement.q.handle (jquery-3.1.1.min.js:3)
selectItem @ previewModalWidget.dist.js:62
selectItemClick @ previewModalWidget.dist.js:77
(anonymous) @ previewModalWidget.dist.js:140
dispatch @ jquery-3.1.1.min.js:3
q.handle @ jquery-3.1.1.min.js:3

TagsNo tags attached.
Complete LimeSurvey version number (& build)Version 3.16.1+190314
I will donate to the project if issue is resolvedNo
BrowserGoogle Chrome
Database & DB-VersionMySQL 8.0.12
Server OS (if known)
Webserver software & version (if known)
PHP Version7.2.7

Activities

DenisChenu

DenisChenu

2019-05-09 12:19

developer   ~51851

https://github.com/LimeSurvey/LimeSurvey/commit/939ef100532e35552a6f24dacedd4d17f709e2ed

DenisChenu

DenisChenu

2019-05-29 16:12

developer   ~52186

Fix committed to master branch: http://bugs.limesurvey.org/plugin.php?page=Source/view&amp;id=28911

c_schmitz

c_schmitz

2019-05-29 16:39

administrator   ~52215

Version 3.17.4+190529 released

Related Changesets

LimeSurvey: master 939ef100

2019-05-09 12:19:09

DenisChenu

Details Diff
Fixed issue 14862: Export to LSS on Portuguese (Portugal) language
Dev: This is really an awdull HTML code
Dev: Must really move to a cleaner way to json ecode …
Affected Issues
14862
mod - application/views/admin/survey/surveybar_displayexport.php Diff File

Issue History

Date Modified Username Field Change
2019-05-08 12:08 scastro New Issue
2019-05-08 12:22 DenisChenu Assigned To => DenisChenu
2019-05-08 12:22 DenisChenu Status new => assigned
2019-05-09 12:19 DenisChenu Status assigned => resolved
2019-05-09 12:19 DenisChenu Resolution open => fixed
2019-05-09 12:19 DenisChenu Fixed in Version => 3.17.x
2019-05-09 12:19 DenisChenu Note Added: 51851
2019-05-29 16:12 DenisChenu Changeset attached => LimeSurvey master 939ef100
2019-05-29 16:12 DenisChenu Note Added: 52186
2019-05-29 16:39 c_schmitz Note Added: 52215
2019-05-29 16:39 c_schmitz Status resolved => closed